> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emailbison.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adding Sender Emails

## Bulk Uploading

There are multiple ways to bulk upload accounts to EmailBison.

### Custom SMTP Providers (Emails not with Microsoft or Google)

<Tabs>
  <Tab title="API" icon="binary">
    Send a `POST` request to the [following endpoint](https://dedi.emailbison.com/api/reference#tag/email-accounts/post/api/sender-emails/imap-smtp).

    ```bash theme={null}
    /api/sender-emails/imap-smtp
    ```

    <Note>
      The `Content-Type` header key should be set to `multipart/form-data`.
    </Note>

    The only parameter you must provide out is `csv`, and the value should be your CSV file.

    An example of this request:

    <CodeGroup>
      ```bash curl theme={null}
      curl https://dedi.emailbison.com/api/sender-emails/bulk \
        --request POST \
        --header 'Content-Type: multipart/form-data' \
        --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
        --data "{"csv":""}"
      ```

      ```JavaScript JavaScript theme={null}
      fetch('https://dedi.emailbison.com/api/sender-emails/bulk', {
        method: 'POST',
        headers: {
          'Content-Type': 'multipart/form-data',
          Authorization: 'Bearer YOUR_SECRET_TOKEN'
        },
        body: '{'csv':''}'
      })
      ```

      ```Python Python theme={null}
      url = 'https://dedi.emailbison.com/api/sender-emails/bulk'

      payload = {'csv':'csv'}
      headers = {
          'Content-Type': 'multipart/form-data',
          'Authorization': 'Bearer YOUR_SECRET_TOKEN'
      }

      response = requests.post(url, data=payload, headers=headers)

      print(response.json())
      ```
    </CodeGroup>
  </Tab>

  <Tab title="UI" icon="browser">
    Navigate to `Email Accounts` ->	`Connect Email Account` -> `Bulk Upload Custom Provider`

    Download and refer to the sample CSV file for proper CSV formatting.
  </Tab>
</Tabs>

***

### Microsoft Accounts

The EmailBison team has built and released a native program to bulk upload Microsoft accounts.

The download and all instructions can be found on the [Bulk Uploader Tool](/email-accounts/bulk-uploader-tool) page.

### Google Accounts

Bulk uploading Google accounts is currently not first-party supported due to the frequent captcha requirements by Google.
